library(highcharter)
library(stringr)

setwd("~/Dropbox/Majority_Advantage/replication")

df.mapdata <- read.csv("temp/map_data.csv")
#capitalize first letters of each state name
df.mapdata$state <- str_to_title(df.mapdata$state)

data("usgeojson")

#B&W
highchart() %>% 
  hc_title(text = "Share of Years with Democratic Control") %>% 
  hc_add_series_map(usgeojson, df.mapdata,
                    value = "share.dem.lower", joinBy = c("woename", "state"), nullColor = "url(#highcharts-default-pattern-1)") %>% 
  hc_legend(align = "right", verticalAlign = "middle", layout = "vertical") %>%
  hc_colorAxis(minColor = "#FFFFFF", maxColor = "#000000") 
